Bug 370841 - anaconda missed installing avahi-compat-libdns_sd.i386 [required by cupsd]
anaconda missed installing avahi-compat-libdns_sd.i386 [required by cupsd]
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-08 00:59 EST by Satish Balay
Modified: 2008-08-06 16:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-06 16:51:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anaconda-ks.cfg (1.05 KB, text/plain)
2007-11-08 00:59 EST, Satish Balay
no flags Details
install.log (35.74 KB, text/plain)
2007-11-08 00:59 EST, Satish Balay
no flags Details
anaconda.log (28.74 KB, text/plain)
2007-11-09 12:52 EST, Satish Balay
no flags Details

  None (edit)
Description Satish Balay 2007-11-08 00:59:24 EST
Description of problem:

Non-functional cupsd after FC6 custom install

Version-Release number of selected component (if applicable):

How reproducible:

Tried only once

Actual results:
[root@asterix ~]# cupsd
cupsd: error while loading shared libraries: libdns_sd.so.1: cannot open shared
object file: No such file or directory
[root@asterix ~]# ldd /usr/sbin/cupsd

[Note: this message appears at boot time. The above is a retry to reproduce the

Expected results:

avahi-compat-libdns_sd should also have been installed

Additional info:

'yum install avahi-compat-libdns_sd' appears to fix this problem
Comment 1 Satish Balay 2007-11-08 00:59:24 EST
Created attachment 251251 [details]
Comment 2 Satish Balay 2007-11-08 00:59:58 EST
Created attachment 251261 [details]
Comment 3 Jeremy Katz 2007-11-09 09:24:38 EST
Can you also attach /var/log/anaconda* ?
Comment 4 Satish Balay 2007-11-09 12:52:33 EST
Created attachment 253101 [details]
Comment 5 Satish Balay 2007-11-09 13:51:42 EST
Just a note: I did a custom install and selected/deselected some packages. [one
of the attached log files should have the relavent info].

I might have attempted to deselect cups at install time. [but I guess cups is a
prerequisite for a lot of packages - it can't be removed]. Perhaps this caused
avahi-compat-libdns_sd.i386 to be deselected - but cups had to be installed
anyway? Just a guess..
Comment 6 Chris Lumens 2008-04-22 10:42:50 EDT
This seems like temporary packaging problems to me.  Is this still broken in F9

Note You need to log in before you can comment on or make changes to this bug.